%define eds_version 1.1.0
%define glib_version 2.8
%define gtk_version 2.4
%define libgnome_version 2.14
%define libsoup_version 2.3.0

%define gettext_package evolution-webcal

### Abstract ###

Name: evolution-webcal
Version: 2.21.92
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
Summary: A handler for webcal URIs
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

### Dependencies ###

Requires: evolution-data-server >= %{eds_version}
Requires: glib2 >= %{glib_version}
Requires: gtk2 >= %{gtk_version}
Requires: libgnome >= %{libgnome_version}
Requires: libgnomeui
Requires: libsoup >= %{libsoup_version}

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

### Build Dependencies ###

BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: gettext
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: gtk2-devel >= %{gtk_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libgnomeui-devel
BuildRequires: libsoup-devel >= %{libsoup_version}
BuildRequires: perl(XML::Parser)

%description
evolution-webcal is a small helper application that can be run when
webcal URIs are clicked in web browsers.  It adds the calendar to your
evolution-data-server, which will make the calendar appear in Evolution
and in the gnome-panel's calendar.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{gettext_package}
grep -q '/usr/share/locale' %{gettext_package}.lang || exit 1

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/evolution-webcal.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/evolution-webcal.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/evolution-webcal.schemas > /dev/null || :
fi

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/evolution-webcal.schemas
%{_libexecdir}/evolution-webcal


%changelog
* Mon Feb 25 2008 Matthew Barnes <mbarnes@redhat.com> - 2.21.92-1.fc9
- Update to 2.21.92

* Wed Feb 13 2008 Matthew Barnes <mbarnes@redhat.com> - 2.13.90-2.fc9
- Rebuild against libsoup 2.3.2.

* Thu Jan 31 2008 Matthew Barnes <mbarnes@redhat.com> - 2.13.90-1.fc9
- Update to 2.13.90
- Remove libsoup-2.4 patch (fixed upstream).

* Wed Jan 30 2008 Adam Tkac <atkac redhat com> 2.12.0-2
- rebuild against new libsoup (libsoup2.4 patch is from trunk)

* Tue Sep 18 2007 Matthew Barnes <mbarnes@redhat.com> - 2.12.0-1.fc8
- Update to 2.12.0

* Fri Aug 31 2007 Matthew Barnes <mbarnes@redhat.com> - 2.11.91-1.fc8
- Update to 2.11.91

* Thu Mar 15 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-1.fc7
- Update to 2.10.0

* Tue Feb 27 2007 Matthew Barnes <mbarnes@redhat.com> - 2.9.92-1.fc7
- Update to 2.9.92

* Mon Feb 12 2007 Matthew Barnes <mbarnes@redhat.com> - 2.9.91-1.fc7
- Update to 2.9.91

* Tue Jan 09 2007 Matthew Barnes <mbarnes@redhat.com> - 2.9.5-1.fc7
- Update to 2.9.5
- Update version requirements to match configure.ac.

* Sat Oct 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.8.0-1
- Update to 2.8.0
- Fix up GConf-related scripts and requires

* Tue Aug  8 2006 Matthew Barnes <mbarnes@redhat.com> - 2.7.1-6
- Add missing BR libsoup-devel.

* Tue Aug  8 2006 Matthew Barnes <mbarnes@redhat.com> - 2.7.1-5
- Rebuild for new libecal.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.7.1-4.1
- rebuild

* Wed Jun 14 2006 Tomas Mraz <tmraz@redhat.com> - 2.7.1-4
- rebuilt with new gnutls

* Thu Jun 08 2006 Jesse Keating <jkeating@redhat.com> - 2.7.1-3
- Add missing BR perl-XML-Parser, gettext

* Wed May 17 2006 Matthew Barnes <mbarnes@redhat.com> - 2.7.1-1
- Update to 2.7.1

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> - 2.7.0-1
- Update to 2.7.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> - 2.4.1-3
- rebuild against new e-d-s

* Tue Dec 20 2005 Matthias Clasen <mclasen@redhat.com> 2.4.1-2
- Rebuild against new libedataserver
 
* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Oct 18 2005 David Malcolm <dmalcolm@redhat.com> - 2.4.1-1
- 2.4.1

* Thu Sep 15 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0.1-2
- rebuild for new e-d-s

* Wed Sep  7 2005 David Malcolm <dmalcolm@redhat.com> - 2.4.0.1-1
- 2.4.0.1

* Mon Aug 22 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.91-3
- rebuild

* Mon Aug 15 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.91-2
- rebuild

* Tue Aug  9 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.91-1
- 2.3.91

* Mon Aug  8 2005 Tomas Mraz <tmraz@redhat.com> - 2.3.90-2
- rebuild with new gnutls

* Mon Jul 25 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.90-1
- 2.3.90

* Wed Mar  9 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.0-1
- updated from 2.1.92 to 2.2.0

* Tue Mar  1 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.92-1
- updated from 2.1.91 to 2.1.92

* Wed Feb  9 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.91-1
- updated from 2.1.4 to 2.1.91

* Wed Jan 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.4-2
- Exclude ppc64 build since mozilla is not supported, hence e-d-s is not supported

* Wed Jan 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.4-1
- updated from 1.0.10 to 2.1.3
- removed evolution-webcal.applications; this was removed in version 2.1.1
- updated e-d-s requirement from 0.0.91 to 1.1.0

* Fri Oct 29 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.10-2
- added missing requirements on libgnomeui (#137554)

* Wed Sep  1 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.10-1
- updated from 1.0.9 to 1.0.10

* Mon Aug 30 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.9-2
- Converted dashes to underscores in version defines; usage should now match up with definition

* Thu Aug 26 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.9-1
- Initial build.

